Class: Aws::SageMakerInferenceRouterRuntime::Types::InvokeInferenceRouterInput
- Inherits:
-
Struct
- Object
- Struct
- Aws::SageMakerInferenceRouterRuntime::Types::InvokeInferenceRouterInput
- Defined in:
- gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[:custom_attributes, :body]
Instance Attribute Summary collapse
-
#accept ⇒ String
The MIME type that you want for the inference response.
-
#body ⇒ String
The input data for the inference, in the format that your model expects.
-
#content_type ⇒ String
The MIME type of the input data in the request body.
-
#custom_attributes ⇒ String
Provides additional information about the inference request.
-
#inference_id ⇒ String
An identifier for the inference request.
-
#inference_router_name ⇒ String
The name of the inference router to invoke.
-
#prefix_aware_id ⇒ String
An optional, stable identifier that serves as a routing hint for prefix-aware routing.
-
#routing_target_name ⇒ String
The name of the routing target in the inference router.
Instance Attribute Details
#accept ⇒ String
The MIME type that you want for the inference response. The router passes it to the destination.
216 217 218 219 220 221 222 223 224 225 226 227 |
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 216 class InvokeInferenceRouterInput < Struct.new( :inference_router_name, :routing_target_name, :content_type, :accept, :inference_id, :prefix_aware_id, :custom_attributes, :body) SENSITIVE = [:custom_attributes, :body] include Aws::Structure end |
#body ⇒ String
The input data for the inference, in the format that your model expects. The body can't be empty.
216 217 218 219 220 221 222 223 224 225 226 227 |
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 216 class InvokeInferenceRouterInput < Struct.new( :inference_router_name, :routing_target_name, :content_type, :accept, :inference_id, :prefix_aware_id, :custom_attributes, :body) SENSITIVE = [:custom_attributes, :body] include Aws::Structure end |
#content_type ⇒ String
The MIME type of the input data in the request body. The router passes it to the destination.
216 217 218 219 220 221 222 223 224 225 226 227 |
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 216 class InvokeInferenceRouterInput < Struct.new( :inference_router_name, :routing_target_name, :content_type, :accept, :inference_id, :prefix_aware_id, :custom_attributes, :body) SENSITIVE = [:custom_attributes, :body] include Aws::Structure end |
#custom_attributes ⇒ String
Provides additional information about the inference request. The value is an opaque string that the router passes, unchanged, to the model container of the destination that serves the request. The value can contain up to 1,024 visible US-ASCII characters.
216 217 218 219 220 221 222 223 224 225 226 227 |
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 216 class InvokeInferenceRouterInput < Struct.new( :inference_router_name, :routing_target_name, :content_type, :accept, :inference_id, :prefix_aware_id, :custom_attributes, :body) SENSITIVE = [:custom_attributes, :body] include Aws::Structure end |
#inference_id ⇒ String
An identifier for the inference request. The router passes it to the destination.
216 217 218 219 220 221 222 223 224 225 226 227 |
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 216 class InvokeInferenceRouterInput < Struct.new( :inference_router_name, :routing_target_name, :content_type, :accept, :inference_id, :prefix_aware_id, :custom_attributes, :body) SENSITIVE = [:custom_attributes, :body] include Aws::Structure end |
#inference_router_name ⇒ String
The name of the inference router to invoke.
216 217 218 219 220 221 222 223 224 225 226 227 |
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 216 class InvokeInferenceRouterInput < Struct.new( :inference_router_name, :routing_target_name, :content_type, :accept, :inference_id, :prefix_aware_id, :custom_attributes, :body) SENSITIVE = [:custom_attributes, :body] include Aws::Structure end |
#prefix_aware_id ⇒ String
An optional, stable identifier that serves as a routing hint for prefix-aware routing. The router passes it to the destination that serves the request. Within that destination, requests with the same prefix and the same identifier go to the same instance. If requests from different applications might have the same prompt prefix, set a different identifier for each application to differentiate their routing decisions.
Applies only to destination endpoints configured with a
RoutingStrategy of PREFIX_AWARE.
216 217 218 219 220 221 222 223 224 225 226 227 |
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 216 class InvokeInferenceRouterInput < Struct.new( :inference_router_name, :routing_target_name, :content_type, :accept, :inference_id, :prefix_aware_id, :custom_attributes, :body) SENSITIVE = [:custom_attributes, :body] include Aws::Structure end |
#routing_target_name ⇒ String
The name of the routing target in the inference router. The routing target lists the destinations that can serve the request.
216 217 218 219 220 221 222 223 224 225 226 227 |
# File 'gems/aws-sdk-sagemakerinferencerouterruntime/lib/aws-sdk-sagemakerinferencerouterruntime/types.rb', line 216 class InvokeInferenceRouterInput < Struct.new( :inference_router_name, :routing_target_name, :content_type, :accept, :inference_id, :prefix_aware_id, :custom_attributes, :body) SENSITIVE = [:custom_attributes, :body] include Aws::Structure end |